libstdc++: __gnu_pbds::sample_update_policy Struct Reference

libstdc++

__gnu_pbds::sample_update_policy Struct Reference

`#include <sample_update_policy.hpp>`

## Public Member Functions
| sample_update_policy ()
| sample_update_policy (const sample_update_policy &)
void | swap (sample_update_policy &other)

## Protected Types
typedef some_metadata_type | metadata_type

## Protected Member Functions
metadata_type | operator() () const
bool | operator() (metadata_reference) const

## Detailed Description

A sample list-update policy.

Definition at line 47 of file sample_update_policy.hpp.

## Member Typedef Documentation

## ◆ metadata_type

typedef some_metadata_type __gnu_pbds::sample_update_policy::metadata_type
| protected

Metadata on which this functor operates.

Definition at line 61 of file sample_update_policy.hpp.

## Constructor & Destructor Documentation

## ◆ sample_update_policy() [1/2]

__gnu_pbds::sample_update_policy::sample_update_policy | ( |  | ) |

Default constructor.

Referenced by sample_update_policy(), and swap().

## ◆ sample_update_policy() [2/2]

__gnu_pbds::sample_update_policy::sample_update_policy | ( | const sample_update_policy & |  | ) |

Copy constructor.

References sample_update_policy().

## Member Function Documentation

## ◆ operator()() [1/2]

metadata_type __gnu_pbds::sample_update_policy::operator() | ( |  | ) | const
| protected

Creates a metadata object.

## ◆ operator()() [2/2]

bool __gnu_pbds::sample_update_policy::operator() | ( | metadata_reference |  | ) | const
| protected

Decides whether a metadata object should be moved to the front of the list. A list-update based containers object will call this method to decide whether to move a node to the front of the list. The method should return true if the node should be moved to the front of the list.

## ◆ swap()

void __gnu_pbds::sample_update_policy::swap | ( | sample_update_policy & | other | ) |
| inline

Swaps content.

References sample_update_policy().

The documentation for this struct was generated from the following file:

- sample_update_policy.hpp